rte_eth_link(3)

NAME
rte_eth_link

SYNOPSIS

#include <rte_ethdev.h>

Detailed Description

A structure used to retrieve link-level information of an Ethernet port.

Definition at line 362 of file rte_ethdev.h.

Field Documentation

  uint64_t val64
used for atomic64 read/write

Definition at line 364 of file rte_ethdev.h.

  uint32_t link_speed
RTE_ETH_SPEED_NUM_

Definition at line 367 of file rte_ethdev.h.

  uint16_t link_duplex
RTE_ETH_LINK_[HALF/FULL]_DUPLEX

Definition at line 368 of file rte_ethdev.h.

  uint16_t link_autoneg
RTE_ETH_LINK_[AUTONEG/FIXED]

Definition at line 369 of file rte_ethdev.h.

  uint16_t link_status
RTE_ETH_LINK_[DOWN/UP]

Definition at line 370 of file rte_ethdev.h.

  uint16_t link_connector
RTE_ETH_LINK_CONNECTOR_XXX

Definition at line 371 of file rte_ethdev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.